Drupal.uc_order_attributes = {
  
  // Open the attribute edit form in a modal dialog.
  modal: function(order_product_id) {
    var options = {
      url : '/admin/store/uc_order_attributes/' + order_product_id,
      width : 700,
      onSubmit: this.refresh,
    };
    Drupal.modalFrame.open(options);
    return false;
  },
  
  // Refresh the attributes list in the order products list.
  refresh: function(args, statusMessages) {
    if (args['order_product_id']) {
      $('#attributes-' + args['order_product_id']).empty().append(args['attributes']);
    }
  },
};